# Sanitizer_GraphLaunchData Struct Reference
[Sanitizer Callback API]

Data passed into a graph launch callback function. More...

## Data Fields

CUcontext | context
CUgraphExec | graphExec
Sanitizer_StreamHandle | hStream
uint32_t | isGraphUpload
CUstream | stream

## Detailed Description

Data passed into a graphs callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_GRAPHS and `cbid` equal to SANITIZER_CBID_GRAPHS_LAUNCH_BEGIN or SANITIZER_CBID_GRAPHS_LAUNCH_END. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_GraphLaunchData::context

The context where the graph is launched.